package com.vargo.ryan.storeprojectryanvargo;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Button;
import android.view.View;
import android.widget.Toast;
import android.media.MediaPlayer;

public class MainActivity extends AppCompatActivity
{

    //Calling variables from xml files
    TextView Title;
    TextView NikeJacket;
    TextView AddidasJacket;
    TextView NewBalanceJacket;
    TextView NikeShoes;
    TextView AddidasShoes;
    TextView NewBalanceShoes;
    TextView NikePants;
    TextView AddidasPants;
    TextView NewBalancePants;
    TextView Amount;
    Button SubmitButton;
    EditText NJtext;
    EditText AJtext;
    EditText NBJtext;
    EditText NStext;
    EditText AStext;
    EditText NBStext;
    EditText NPtext;
    EditText APtext;
    EditText NBPtext;


    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        //Creating my variables
        Title = findViewById(R.id.Title);
        Amount = findViewById(R.id.Amount);
        NikeJacket = findViewById(R.id.NikeJacket);
        AddidasJacket = findViewById(R.id.AddidasJacket);
        NewBalanceJacket = findViewById(R.id.NewBalanceJacket);
        NikeShoes = findViewById(R.id.NikeShoes);
        AddidasShoes = findViewById(R.id.AddidasShoes);
        NewBalanceShoes = findViewById(R.id.NewBalanceShoes);
        NikePants = findViewById(R.id.NikePants);
        AddidasPants = findViewById(R.id.AddidasPants);
        NewBalancePants = findViewById(R.id.NewBalancePants);
        NJtext = findViewById(R.id.NJtext);
        AJtext = findViewById(R.id.AJtext);
        NBJtext = findViewById(R.id.NBJtext);
        NStext = findViewById(R.id.NStext);
        AStext = findViewById(R.id.AStext);
        NBStext = findViewById(R.id.NBStext);
        NPtext = findViewById(R.id.NPtext);
        APtext = findViewById(R.id.APtext);
        NBPtext = findViewById(R.id.NBPtext);
        SubmitButton = findViewById(R.id.Submitbutton);
        if(!NJtext.equals(""))
        {
            NJtext.setText("0");
        }
        if(!AJtext.equals(""))
        {
            AJtext.setText("0");
        }
        if(!NBJtext.equals(""))
        {
            NBJtext.setText("0");
        }
        if(!NStext.equals(""))
        {
            NStext.setText("0");
        }
        if(!AStext.equals(""))
        {
            AStext.setText("0");
        }
        if(!NBStext.equals(""))
        {
            NBStext.setText("0");
        }
        if(!NPtext.equals(""))
        {
            NPtext.setText("0");
        }
        if(!APtext.equals(""))
        {
            APtext.setText("0");
        }
        if(!NBPtext.equals(""))
        {
            NBPtext.setText("0");
        }


        SubmitButton.setOnClickListener(new Button.OnClickListener()
        {
            public void onClick(View v)
            {
                calculate();
            }
        });
    }


    //Method to calculate prices
    private void calculate()
    {


        final MediaPlayer chaChing = MediaPlayer.create(this, R.raw.chaching);

        //Turning my variables from strings into integers
        int nikeJacketNum = 0;     // number of Nike jackets
        nikeJacketNum = Integer.parseInt(NJtext.getText().toString());
        int addidasJacketNum = 0;
        addidasJacketNum = Integer.parseInt(AJtext.getText().toString());
        int newBalanceJacketNum = 0;
        newBalanceJacketNum = Integer.parseInt(NBJtext.getText().toString());
        int nikeShoesNum = 0;
        nikeShoesNum = Integer.parseInt(NStext.getText().toString());
        int addidasShoesNum = 0;
        addidasShoesNum = Integer.parseInt(AStext.getText().toString());
        int newBalanceShoesNum = 0;
        newBalanceShoesNum = Integer.parseInt(NBStext.getText().toString());
        int nikePantsNum = 0;
        nikePantsNum = Integer.parseInt(NPtext.getText().toString());
        int addidasPantsNum = 0;
        addidasPantsNum = Integer.parseInt(APtext.getText().toString());
        int newBalancePantsNum = 0;
        newBalancePantsNum = Integer.parseInt(NBPtext.getText().toString());

        //Creating the prices of each item
        int njNum = nikeJacketNum * 65;
        int ajNum = addidasJacketNum * 50;
        int nbjNum = newBalanceJacketNum * 60;
        int nsNum = nikeShoesNum * 110;
        int asNum = addidasShoesNum * 85;
        int nbsNum = newBalanceShoesNum * 90;
        int npNum = nikePantsNum * 50;
        int apNum = addidasPantsNum * 35;
        int nbpNum = newBalancePantsNum * 45;

        //Calculating the total price
        int totalPrice = njNum + ajNum + nbjNum + nsNum + asNum + nbsNum + npNum + apNum + nbpNum;

        Toast.makeText(getApplicationContext(),"Your bill is $" + totalPrice,Toast.LENGTH_LONG).show();
        //chaChing.start();
    }

}